org.apache.lucene.search

## Class SortedNumericSelector

- java.lang.Object
- - org.apache.lucene.search.SortedNumericSelector

    public class SortedNumericSelector
    extends Object

Selects a value from the document's list to use as the representative value

This provides a NumericDocValues view over the SortedNumeric, for use with sorting, expressions, function queries, etc.

### Nested Class Summary

Nested Classes
`static class` `SortedNumericSelector.Type` Type of selection to perform.

### Constructor Summary

Constructors
Constructor and Description
`SortedNumericSelector()`

### Method Summary

All Methods Static Methods Concrete Methods
`static NumericDocValues` `wrap(SortedNumericDocValues sortedNumeric, SortedNumericSelector.Type selector, SortField.Type numericType)` Wraps a multi-valued SortedNumericDocValues as a single-valued view, using the specified selector and numericType.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SortedNumericSelector

    public SortedNumericSelector()

### Method Detail

#### wrap

    public static NumericDocValues wrap(SortedNumericDocValues sortedNumeric,
                                        SortedNumericSelector.Type selector,
                                        SortField.Type numericType)

Wraps a multi-valued SortedNumericDocValues as a single-valued view, using the specified selector and numericType.